<?php 

function register_dh_clients() 
{
  register_post_type( 'dh_clients', array(
            'labels' => array(
                'name' => __( 'Klienci' ),
                'singular_name' => __( 'Klient' ),
                'add_new'               => __( 'Dodaj klienta' ),
                'add_new_item'          => __( 'Dodaj nowego klienta' ),
            ),
            'public' => true,
            'supports' => array( 'title', 'thumbnail')
    ));
}
add_action( 'init', 'register_dh_clients', 0);


function register_dh_client_tax() 
{
    $labels = array(
        'name'              => __( 'Grupy klientów'),
        'singular_name'     => __( 'Grupa klientów'),
        'search_items'      => __( 'Szukaj grupy'),
        'all_items'         => __( 'Zobacz wszystkich grupy'),
        'parent_item'       => __( 'Nadrzędna grupa'),
        'parent_item_colon' => __( 'Nadrzędna grupa:'),
        'edit_item'         => __( 'Edytuj grupę'),
        'update_item'       => __( 'Aktualizuj grupę'),
        'add_new_item'      => __( 'Dodaj nową grupę'),
        'new_item_name'     => __( 'Nazwa nowej grupy'),
        'menu_name'         => __( 'Grupy'),
    );
    $args   = array(
        'hierarchical'      => true, 
        'labels'            => $labels,
        'rewrite'           => [ 'slug' => 'grupa' ],
    );
    register_taxonomy( 'grupa', [ 'dh_clients' ], $args );

}
add_action( 'init', 'register_dh_client_tax', 0);





